Get public view of a report
curl --request GET \
--url https://api.extole.io/v4/reports/{reportId}/views/public \
--header 'Authorization: <api-key>'import requests
url = "https://api.extole.io/v4/reports/{reportId}/views/public"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.extole.io/v4/reports/{reportId}/views/public', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_date": "2025-10-24T02:00:00-07:00",
"display_name": "<string>",
"download_uri": "<string>",
"executor_type": "DASHBOARD",
"formats": [
"CSV"
],
"id": "<string>",
"parameters": {},
"report_type": "<string>",
"result": {
"completed_date": "2025-10-24T02:00:00-07:00",
"formats_info": {},
"started_date": "2025-10-24T02:00:00-07:00",
"status": "CANCELED",
"total_rows": 123
},
"scopes": [
"CLIENT_ADMIN"
],
"tags": [
"<string>"
],
"user_id": "<string>"
}Reports
Get public view of a report
Returns the publicly accessible view of the specified report.
GET
https://api.extole.io
/
v4
/
reports
/
{reportId}
/
views
/
public
Get public view of a report
Authorizations
HEADERQUERYCOOKIE
Path Parameters
Response
Successful response
RFC 3339 or RFC 9557 date-time with a numeric UTC offset and an optional IANA time-zone suffix in square brackets. Precision up to milliseconds.
Pattern:
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$Example:
"2025-10-24T02:00:00-07:00"
Available options:
DASHBOARD, SPARK, SQL Available options:
CSV, HEADLESS_CSV, HEADLESS_PSV, JSON, JSONL, PSV, XLSX Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
CLIENT_ADMIN, CLIENT_SUPERUSER, CONSUMER_PUBLIC, USER_SUPPORT 